WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Why is sox.tcz in the repo for 7.x but not for 8.x or 9.x?  (Read 641 times)

Offline DrRob

  • WikiUser
  • *
  • Posts: 37
Why is sox.tcz in the repo for 7.x but not for 8.x or 9.x?
« on: July 07, 2017, 06:38:11 AM »
Hi,

I'm curious why sox.tcz is in the package repository for 7.x but not for 8.x or 9.x?  I found that the 7.x package works in 9.x once I figured out all the dependencies that needed to be installed as well, which are (I think):
  • libtool.tcz
  • libpng.tcz
  • libasound.tcz
  • opencore-amr.tcz
  • libao.tcz
  • libmad.tcz
  • libid3tag.tcz
  • lame.tcz
  • twolame.tcz
  • wavpack.tcz

Thanks,
Rob.

Offline mocore

  • Full Member
  • ***
  • Posts: 151
Re: Why is sox.tcz in the repo for 7.x but not for 8.x or 9.x?
« Reply #1 on: July 10, 2017, 01:51:14 PM »
You didnt mention what methods you used to identify all the dependencies ...
the file at http://tinycorelinux.net/7.x/armv6/tcz/sox.tcz.dep
says
Quote
gcc_libs.tcz
lame.tcz
libao.tcz
libid3tag.tcz
libltdl.tcz
libmad.tcz
libpng.tcz
opencore-amr.tcz
twolame.tcz
wavpack.tcz
ftr

Offline mocore

  • Full Member
  • ***
  • Posts: 151
Re: Why is sox.tcz in the repo for 7.x but not for 8.x or 9.x?
« Reply #2 on: July 10, 2017, 02:24:50 PM »
You didnt mention what methods you used to identify all the dependencies ...
perhaps depfinder: script to find dependencies ?

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9634
Re: Why is sox.tcz in the repo for 7.x but not for 8.x or 9.x?
« Reply #3 on: July 11, 2017, 08:15:23 AM »
sox copied to piCore-{8.x,9.x} armv{6,7} repos

Offline DrRob

  • WikiUser
  • *
  • Posts: 37
Re: Why is sox.tcz in the repo for 7.x but not for 8.x or 9.x?
« Reply #4 on: July 14, 2017, 05:43:36 AM »
You didnt mention what methods you used to identify all the dependencies ...
the file at http://tinycorelinux.net/7.x/armv6/tcz/sox.tcz.dep
says
Quote
gcc_libs.tcz
lame.tcz
libao.tcz
libid3tag.tcz
libltdl.tcz
libmad.tcz
libpng.tcz
opencore-amr.tcz
twolame.tcz
wavpack.tcz
ftr

Sorry for the slow reply (busy week...).

I found the dependencies by trying to run sox, getting an error about missing library, working out which package said library came from, install, and repeat until it worked.  Next time I'll try the depfinder script that mocore mentioned (thanks).

Rob.

Offline DrRob

  • WikiUser
  • *
  • Posts: 37
Re: Why is sox.tcz in the repo for 7.x but not for 8.x or 9.x?
« Reply #5 on: July 14, 2017, 05:44:19 AM »
sox copied to piCore-{8.x,9.x} armv{6,7} repos

Thank you.

(I wish there was a "thanks" or "+1" button in this forum...)

Rob.